%define upstream_name    Math-RNG-Microsoft
%define upstream_version 0.0.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A pseudo-random number generator compatible
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(integer)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Differences)
BuildArch: noarch

%description
This is a random number generator used by the Games::ABC_Path::Generator
manpage, which emulates the one found in Microsoft's Visual C++. It was
utilised here, out of familiarity and accessibility, because it is commonly
used to generate Freecell layouts in the Freecell world (see the
http://en.wikipedia.org/wiki/FreeCell_%28Windows%29 manpage ).

*NOTE:* This is not a cryptologically secure random number generator, nor
is it a particularly good one, so its use is discouraged unless
compatibility with the Windows C Run-time-library is needed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.0.3-4pclos2017
- rebuild against updates

